#if !defined(__TANGO2_USB_H__)
#define __TANGO2_USB_H__

#define TANGO2_EHCI_BASE_ADDR           KSEG1ADDR(REG_BASE_host_interface + 0x1400)
#define TANGO2_OHCI_BASE_ADDR           KSEG1ADDR(REG_BASE_host_interface + 0x1500)
#define TANGO2_USB_CTL_STATUS_REG_BASE  KSEG1ADDR(REG_BASE_host_interface + 0x1700)
#define TANGO2_EHCI_IRQ                 IRQ_CONTROLLER_IRQ_BASE + LOG2_CPU_USB_EHCI_INT
#define TANGO2_OHCI_IRQ                 IRQ_CONTROLLER_IRQ_BASE + LOG2_CPU_USB_OHCI_INT

/* tango2 ehci */
#define TANGO2_EHCI_BUS_NAME            "tango2-ehci-bus"
#define TANGO2_EHCI_PRODUCT_DESC        "Tango2 Integrated USB 2.0"
#define hcd_name                        "tango2-ehci-hcd"
/* tango2 ohci */
#define ohci_hcd_name                   "tango2-ohci-hcd"
#define TANGO2_OHCI_BUS_NAME            "tango2-ohci-bus"

#endif /* !defined(__TANGO2_USB_H__) */
